using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TestMaximizeWorksapce
{
    public partial class Form1 : Form
    {
        private bool isWorkspaceMaximized = false;
        public Form1 ()
        {
            InitializeComponent ();
            dockingManager1.SetEnableDocking (gradientPanel1, true);
            dockingManager1.SetEnableDocking (gradientPanel2, true);
            dockingManager1.SetEnableDocking (gradientPanel3, true);
        }

        // This method acts as the "switch" between the maximized mode
        private void maximizeWorkspaceToolStripMenuItem_Click (object sender, EventArgs e)
        {            
            isWorkspaceMaximized = !isWorkspaceMaximized;
            dockingManager1.SetAutoHideMode (gradientPanel1, isWorkspaceMaximized);
            dockingManager1.SetAutoHideMode (gradientPanel2, isWorkspaceMaximized);
            dockingManager1.SetAutoHideMode (gradientPanel3, isWorkspaceMaximized);
            maximizeWorkspaceToolStripMenuItem.Text =
                String.Format ("{0} Workspace", isWorkspaceMaximized ? "Restore" : "Maximize");

        }
    }
}